#ifndef CalendarEventSmtpClient_h
#define CalendarEventSmtpClient_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "SmtpClient.h"
#include "CalendarEvent.h"

namespace Calendar
{
    //* simple smtp interface
    class CalendarEventSmtpClient : public SmtpClient
    {
        Q_OBJECT

        public:

        //* constructor
        explicit CalendarEventSmtpClient( QObject*, const CalendarEvent& );

        Q_SIGNALS:

        //* message is sent
        void sent( const CalendarEvent& );

        //* error recieved
        void errorRecieved( const CalendarEvent&, const QString& );

        protected Q_SLOTS:

        //* server error
        void _errorReceived( QAbstractSocket::SocketError ) override;

        //* disconnected from server
        void _disconnected() override;

        protected:

        //* message has been sent
        void _messageSent() override;

        private:

        //* calendar event
        CalendarEvent event_;
    };

}

#endif
