#ifndef EditCalendarEventDialog_h
#define EditCalendarEventDialog_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CalendarEvent.h"
#include "CustomDialog.h"
#include "TextEditor.h"

#include <QCheckBox>
#include <QComboBox>
#include <QDateEdit>
#include <QTimeEdit>

class ColorComboBox;

namespace Calendar
{

    class EditCalendarEventDialog: public CustomDialog
    {

        Q_OBJECT

        public:

        //* constructor
        explicit EditCalendarEventDialog( QWidget*, const CalendarEvent& tag = CalendarEvent() );

        //* calendar tag
        using CustomDialog::event;
        CalendarEvent event();

        private:

        //* begin date
        QDateEdit* beginEditor_ = nullptr ;

        //* end date
        QDateEdit* endEditor_ = nullptr ;

        //* begin time
        QTimeEdit* beginTimeEditor_ = nullptr ;

        //* end time
        QTimeEdit* endTimeEditor_ = nullptr ;

        //* full day checkbox
        QCheckBox* fullDaysCheckBox_ = nullptr ;

        //* notify
        QCheckBox* notifyCheckBox_ = nullptr ;

        //* description editor
        TextEditor* editor_ = nullptr ;

        //* selection mode
        QComboBox* selectioncomboBox_ = nullptr ;

        //* repeat mode
        QComboBox* repeatcomboBox_ = nullptr ;

        //* color widget
        ColorComboBox* colorComboBox_ = nullptr ;

    };

};

#endif
