/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "DataSamples.h"
#include "Debug.h"

namespace Disk
{

    //________________________________________________
    void DataSamples::setSampleSize( int sampleSize )
    {
        sampleSize_ = sampleSize;
        if( sampleList_.size() > sampleSize_ )
        { sampleList_.erase( sampleList_.begin(), sampleList_.begin() + (sampleList_.size() - sampleSize_) ); }
    }

    //________________________________________________
    void DataSamples::setDataSize( int dataSize )
    {
        dataSize_ = dataSize;
        if( dataList_.size() > dataSize_ )
        { dataList_.erase( dataList_.begin(), dataList_.begin() + (dataList_.size() - dataSize_) ); }
    }

    //_________________________________________________________________
    void DataSamples::add( const Data& data )
    {

        // add data to samples
        sampleList_.append( data );

        // check size
        if( sampleList_.size() > sampleSize_ )
        {

            auto data( sampleList_.back() );
            data -= sampleList_.front();
            if( data.valid() ) dataList_.append( data );
            if( dataList_.size() > dataSize_ ) dataList_.removeFirst();
            sampleList_.removeFirst();

        }

        return;

    }

}
