#ifndef ApplicationDataDialog_h
#define ApplicationDataDialog_h
/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomDialog.h"
#include "ApplicationData.h"

#include <QSpinBox>

class TreeView;

//! list document classes
class ApplicationDataDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //! constructor
    explicit ApplicationDataDialog( QWidget*, ApplicationData );

    //! application data
    ApplicationData data() const;

    private:

    //! data
    ApplicationData data_;

    //!@name spin boxes
    //@{

    QSpinBox* xSpinBox_ = nullptr;
    QSpinBox* ySpinBox_ = nullptr;
    QSpinBox* wSpinBox_ = nullptr;
    QSpinBox* hSpinBox_ = nullptr;

    //@}

};

#endif
