#ifndef XcbThread_h
#define XcbThread_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"

#include <QThread>
#include <QWidget>

//* independent thread used to retrieve xcb events
class XcbThread: public QThread, private Base::Counter<XcbThread>
{

    Q_OBJECT

    public:

    //* constructor
    explicit XcbThread( QObject* = nullptr );

    //* set window
    void setWindowId( WId windowId )
    { windowId_ = windowId; }

    protected:

    //* Check files validity. Post a ValidFileEvent when finished
    void run() override;

    Q_SIGNALS:

    //* emitted when window state has changed
    void stateChanged( WId );

    //* emitted when window desktop has changed
    void desktopChanged( WId, uint32_t );

    private:

    //* window id
    WId windowId_ = 0;

};
#endif
