/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "PictureConfigurationDialog.h"

#include "GridLayout.h"
#include "IconEngine.h"
#include "IconNames.h"
#include "OptionCheckBox.h"
#include "OptionBrowsedLineEditor.h"

#include <QGroupBox>
#include <QLabel>
#include <QLayout>

namespace Pictures
{

    //_________________________________________________________
    PictureConfigurationDialog::PictureConfigurationDialog( QWidget* parent ):
        ConfigurationDialog( parent )
    {

        Debug::Throw( "PictureConfigurationDialog::PictureConfigurationDialog.\n" );

        // generic widgets
        OptionCheckBox* checkbox;
        auto box = &_optionContainer();

        box->layout()->addWidget( checkbox = new OptionCheckBox( tr( "Keep aspect ratio" ), box, "KEEP_ASPECT_RATIO" ) );
        checkbox->setToolTip( tr( "Preserve image aspect ratio" ) );
        addOptionWidget( checkbox );

        box->layout()->addWidget( checkbox = new OptionCheckBox(  tr( "Show filename" ), box, "SHOW_FILENAME" ) );
        checkbox->setToolTip( tr( "Show/hide filename" ) );
        addOptionWidget( checkbox );

        read();
    }

}
