/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Color.h"
#include "File.h"
#include "Util.h"
#include "XmlOptions.h"

//_____________________________________________________
//! Default options installer
void installTemperatureOptions()
{

    XmlOptions::get().setAutoDefault( true );
    XmlOptions::get().set<bool>( "USE_LM_SENSORS", true );
    XmlOptions::get().set( "PROBE_NAME", "CPU" );
    XmlOptions::get().set( "ACPI_FILE", "/proc/acpi/thermal_zone/THM/temperature" );

    XmlOptions::get().set<bool>( "USE_DEFAULT_COLORS", true );
    XmlOptions::get().set( "TEMPERATURE_COLOR", Base::Color( "#aa0000" ) );

    // resource file
    XmlOptions::get().set( "OLD_RC_FILE", Option( File(".transparent-temperaturerc").addPath( Util::home() ), Option::Flag::None ) );
    XmlOptions::get().set( "RC_FILE", Option( File("transparent-temperaturerc").addPath( Util::config() ), Option::Flag::None ) );

    XmlOptions::get().setAutoDefault( false );

}
